### Signal

# Ide SourceView::reset

#### Declaration

    void
    reset (
      IdeSourceView* self,
      gpointer user_data
    )

#### Description

This is a helper signal that will try to reset keyboard input and various stateful settings of the sourceview. This is a good signal to map to the “Escape” key.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 3.32